/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityDevelopment;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityDevelRequest {
    public void makeFacilityDevelRequest() {
    }

    public boolean mi_isFulfilled() {
        return false;
    }

    public BigDecimal mi_estimatePercentComplete() {
        return new BigDecimal(0);
    }

    public Vector listFacilityDevelopmentRequests() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private FacilityDevelopment lnkUnnamed;
    private Date dateProposed;
    private Date dateSubmitted;
    private Date dateApproved;
    private Date dateRejected;
}


